#
# spec file for package qgo
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           qgo 
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(QtCore)
BuildRequires:  update-desktop-files
Summary:        A Go Board and SGF Editor
License:        GPL-2.0+
Group:          Amusements/Games/Board/Other
Version:        2.0.0
Release:        6.2
Source:         https://github.com/pzorin/qgo/archive/qt4-final.tar.gz
Url:            https://github.com/pzorin/qgo
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A Go board, sgf editor and client for IGS/NNGS/WINGS based on the Qt
library. Go is an ancient boardgame, very common in Japan, China and
Korea.

%prep
%setup -q -n %{name}-qt4-final

%build
qmake -makefile  %{name}.pro QMAKE_CFLAGS="%optflags" QMAKE_CXXFLAGS="%optflags"
make %{?_smp_mflags}

%install
mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_datadir}/applications/
mkdir -p %{buildroot}%{_bindir}
cp src/ressources/pics/qgo*.{png,xpm} %{buildroot}%{_datadir}/pixmaps/
install -m 644 src/qgo.desktop %{buildroot}%{_datadir}/applications/
install -m 755 build/qgo %{buildroot}%{_bindir}/qgo
%suse_update_desktop_file qgo Game BoardGame

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README.md
%{_bindir}/qgo
%{_datadir}/pixmaps/qgo*
%{_datadir}/applications/qgo.desktop

%changelog
* Sat Mar 14 2015 p.drouand@gmail.com
- Update to version 2.0.0
  * No changelog available
- Remove obsolete patchs
  * qgo-1.5.4-gcc4.3.diff
  * qgo-1.5.4-desktop.diff
- Move to qt4; follow upstream changes
  * Replace qt3-devel require with pkgconfig(QtCore)
  * Remove qt3 require
- Update project Url
- Use download Url as source
- TODO and COPYING don't exit anymore; do not perform %%doc on them
- README has been renamed to README.md
- Copy AUTHORS and COPYING into package doc directory
* Tue Mar 27 2012 jengelh@medozas.de
- Build in parallel with %%_smp_mflags
- Strip redundant sections/tags from specfile
* Fri Mar  5 2010 coolo@novell.com
- fix build with gcc 4.5
* Tue Mar 10 2009 anicka@suse.cz
- install correct desktop file (bnc#483231)
* Fri Nov 16 2007 anicka@suse.cz
- fix deprecated headers
* Mon Jun 18 2007 ltinkl@suse.cz
- update to 1.5.4:
  * fixed : mark issue with teaching games
  * added : blind go
  * added : 2 new translations (latin and simplified chinese)
  * changed : added 'SGF' (uppercase) as file suffix
* Tue Jan 16 2007 meissner@suse.de
- use RPM_OPT_FLAGS
* Thu Jan 11 2007 ltinkl@suse.cz
- update to 1.5.3
  * fixed : 9x9 grid display
  * changed : 'remember last dir' set by default
  * changed : made ugly 2D stones available
  * added : IGS 'nmatch' range now in the preferences
* Mon Oct  9 2006 ltinkl@suse.cz
- update to 1.5.2
* Sat Sep  9 2006 anicka@suse.de
- use proper lib (/usr/lib/qt3/lib64 on biarch)
* Wed Aug 30 2006 ltinkl@suse.cz
- initial release (1.5.1)
